Package io.dapr.client.domain

# Class AppConnectionPropertiesHealthMetadata

java.lang.Object
io.dapr.client.domain.AppConnectionPropertiesHealthMetadata

public final class AppConnectionPropertiesHealthMetadata extends Object
AppConnectionPropertiesHealthMetadata describes the application health properties.

## Constructor Summary

Constructors
Constructor
Description
`AppConnectionPropertiesHealthMetadata(String healthCheckPath, String healthProbeInterval, String healthProbeTimeout, int healthThreshold)`
Constructor for a AppConnectionPropertiesHealthMetadata.

## Method Summary

Modifier and Type
Method
Description
`String`
`getHealthCheckPath()`
`String`
`getHealthProbeInterval()`
`String`
`getHealthProbeTimeout()`
`int`
`getHealthThreshold()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AppConnectionPropertiesHealthMetadata

public AppConnectionPropertiesHealthMetadata(String healthCheckPath, String healthProbeInterval, String healthProbeTimeout, int healthThreshold)
Constructor for a AppConnectionPropertiesHealthMetadata.

Parameters:
  `healthCheckPath` - of the application
  `healthProbeInterval` - time interval between health probes
  `healthProbeTimeout` - timeout for each health probe
  `healthThreshold` - max number of failed health probes

## Method Details

### getHealthCheckPath

public String getHealthCheckPath()

### getHealthProbeInterval

public String getHealthProbeInterval()

### getHealthProbeTimeout

public String getHealthProbeTimeout()

### getHealthThreshold

public int getHealthThreshold()